# GstNetControlMessageMeta

GstNetControlMessageMeta can be used to store control messages (ancillary data) which was received with or is to be sent alongside the buffer data. When used with socket sinks and sources which understand this meta it allows sending and receiving ancillary data such as unix credentials (See GUnixCredentialsMessage) and Unix file descriptions (See GUnixFDMessage).

## GstNetControlMessageMeta

Buffer metadata for GSocket control messages, AKA ancillary data attached to data sent across a socket.

### Members

`meta` (GstMeta) –

the parent type

`message` (GSocketControlMessage *) –

a GSocketControlMessage stored as metadata

## GstNet.NetControlMessageMeta

Buffer metadata for GSocket control messages, AKA ancillary data attached to data sent across a socket.

### Members

`meta` (Gst.Meta) –

the parent type

`message` (Gio.SocketControlMessage) –

a Gio.SocketControlMessage stored as metadata

## GstNet.NetControlMessageMeta

Buffer metadata for GSocket control messages, AKA ancillary data attached to data sent across a socket.

### Members

`meta` (Gst.Meta) –

the parent type

`message` (Gio.SocketControlMessage) –

a Gio.SocketControlMessage stored as metadata

### Functions

#### gst_net_control_message_meta_get_info

    const GstMetaInfo *
    gst_net_control_message_meta_get_info ()

Returns –
No description available

#### GstNet.prototype.net_control_message_meta_get_info

    function GstNet.prototype.net_control_message_meta_get_info(): {
        // javascript wrapper for 'gst_net_control_message_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstNet.net_control_message_meta_get_info

    def GstNet.net_control_message_meta_get_info ():
        #python wrapper for 'gst_net_control_message_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## Functions

### gst_buffer_add_net_control_message_meta

    GstNetControlMessageMeta *
    gst_buffer_add_net_control_message_meta (GstBuffer * buffer,
                                             GSocketControlMessage * message)

Attaches message as metadata in a GstNetControlMessageMeta to buffer.

Parameters:

`buffer` –

a GstBuffer

`message` –

a GSocketControlMessage to attach to buffer

Returns ( [transfer: none]) –

a GstNetControlMessageMeta connected to buffer

### GstNet.prototype.buffer_add_net_control_message_meta

    function GstNet.prototype.buffer_add_net_control_message_meta(buffer: Gst.Buffer, message: Gio.SocketControlMessage): {
        // javascript wrapper for 'gst_buffer_add_net_control_message_meta'
    }

Attaches message as metadata in a GstNet.NetControlMessageMeta to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`message` (Gio.SocketControlMessage) –

a GSocketControlMessage to attach to buffer

Returns (GstNet.NetControlMessageMeta) –

a GstNet.NetControlMessageMeta connected to buffer

### GstNet.buffer_add_net_control_message_meta

    def GstNet.buffer_add_net_control_message_meta (buffer, message):
        #python wrapper for 'gst_buffer_add_net_control_message_meta'

Attaches message as metadata in a GstNet.NetControlMessageMeta to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`message` (Gio.SocketControlMessage) –

a GSocketControlMessage to attach to buffer

Returns (GstNet.NetControlMessageMeta) –

a GstNet.NetControlMessageMeta connected to buffer

### gst_net_control_message_meta_api_get_type

    GType
    gst_net_control_message_meta_api_get_type ()

Returns –
No description available

### GstNet.prototype.net_control_message_meta_api_get_type

    function GstNet.prototype.net_control_message_meta_api_get_type(): {
        // javascript wrapper for 'gst_net_control_message_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstNet.net_control_message_meta_api_get_type

    def GstNet.net_control_message_meta_api_get_type ():
        #python wrapper for 'gst_net_control_message_meta_api_get_type'

Returns (GObject.Type) –
No description available

## Function Macros

### gst_buffer_get_net_control_message_meta

    #define gst_buffer_get_net_control_message_meta(b) ((GstNetControlMessageMeta*)\
      gst_buffer_get_meta((b),GST_NET_CONTROL_MESSAGE_META_API_TYPE))

## Constants

### GST_NET_CONTROL_MESSAGE_META_API_TYPE

    #define GST_NET_CONTROL_MESSAGE_META_API_TYPE \
      (gst_net_control_message_meta_api_get_type())

### GST_NET_CONTROL_MESSAGE_META_INFO

    #define GST_NET_CONTROL_MESSAGE_META_INFO \
      (gst_net_control_message_meta_get_info())

The results of the search are